$body-background-color: $white !default;

$body-rendering: optimizeLegibility !default;
$body-family: $family-sans-serif !default;
$body-color: $text !default;
$body-weight: $weight-normal !default;

$code-family: $family-monospace !default;
$code-padding: 0.25em 0.5em 0.25em !default;
$code-weight: normal !default;
$code-size: 0.875em !default;

$code-background-color: rgb(68, 68, 68) !default;
$code-color: $white !default;
$code-border-radius: $radius !default;

$strong-weight: $weight-bold !default;

$hr-color: $grey-lighter;

html {
  background-color: $body-background-color;
  font-size: $body-size;
  line-height: $body-line-height;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  min-width: 300px;
  text-rendering: $body-rendering;
}

article,
aside,
figure,
footer,
header,
hgroup,
section {
  display: block;
}

figure {
  line-height: 0;
}

body,
button,
input,
select,
textarea {
  font-family: $body-family;
}

hr {
  border: none;
  border-top: 2px solid $hr-color;
}

code {
  padding: 2px 5px;
  background-color: rgba($accent, 0.25);
  color: black;
  border-radius: $radius;
}

pre, pre code {
  -moz-osx-font-smoothing: auto;
  -webkit-font-smoothing: auto;
  font-family: $code-family;
  background-color: $code-background-color;
  color: $code-color;
  border-radius: $code-border-radius;
}

body {
  color: $body-color;
  font-size: 1rem;
  font-weight: $body-weight;
  line-height: $body-line-height;
}

a {
  color: $link;
  cursor: pointer;
  text-decoration: none;

  strong {
    color: currentColor;
  }
}

img {
  height: auto;
  max-width: 100%;
}

input[type="checkbox"],
input[type="radio"] {
  vertical-align: baseline;
}

small {
  font-size: 0.875em;
}

strong {
  font-weight: $strong-weight;
}

// Block

table {
  td,
  th {
    text-align: left;
    vertical-align: top;
  }
}
